<div class="product-summary">
  <h2 class="product-summary__title">Parent product summary</h2>
  <img
    class="product-summary__icon"
    src="app/presentation/assets/img/icons/briefcase.svg"
    alt="product"
  />
  <h2 class="product-summary__name">{{ product?.name }}</h2>
  <div class="product-summary__country-currency">
    <layout-country-currency
      image="app/presentation/assets/img/icons/flags/colombia.svg"
      currency="$COP"
    ></layout-country-currency>
  </div>
  <p class="product-summary__description">
    Review the parent product configuration that will hold this new offer and
    visualize the already existing offers for this product. <br />
    These specifications will rule over all the offers associated with this
    product.
  </p>
  <div class="product-summary__general-settings">
    <h3 class="title">General settings</h3>
    <p class="item">
      Maximum number of active credits:
      <span class="item__value">{{
        product?.maximum_number_active_loans
      }}</span>
    </p>
    <p class="item">Loan amounts:</p>
    <p class="item">
      MIN:
      <span class="item__value">
        {{ product?.minimum_loan_amount | customCurrency }}; </span
      >MAX:<span class="item__value">
        {{ product?.maximum_loan_amount | customCurrency }}
      </span>
    </p>
    <p class="item">
      Closing tolerance:
      <span class="item__value">
        Less than
        {{ product?.closing_tolerance_amount | customCurrency }}
      </span>
    </p>
    <p class="item">
      Decimals:
      <span class="item__value">
        {{ product?.decimal_places }};
        {{ product?.decimal_round_way }}
      </span>
    </p>
    <p class="item">
      Amount requested step: <br /><span class="item__value">
        Nearest multiple of:
        {{ product?.amount_requested_step | customCurrency }}
      </span>
    </p>
  </div>

  <div class="product-summary__other-products">
    <h2 class="title">Other product related offer</h2>
    <div class="offers" *ngIf="product?.offers?.length; else emptyStateOffers">
      <layout-offer-item
        *ngFor="let offer of product?.offers"
        [offer]="offer"
      ></layout-offer-item>
    </div>
    <ng-template #emptyStateOffers>
      <p class="description">
        At the moment there are no associated offers for this product. When you
        create an offer for this product, it will see it here.
      </p>
    </ng-template>
  </div>
</div>
